%define libxinerama %mklibname xinerama 1
Name: libxinerama
Summary: The Xinerama Library
Version: 1.0.3
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}
Summary: The Xinerama Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxinerama}
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxinerama} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxinerama-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxinerama}-devel
Development files for %{name}

%files -n %{libxinerama}-devel
%defattr(-,root,root)
%{_libdir}/libXinerama.so
%{_libdir}/libXinerama.la
%{_libdir}/pkgconfig/xinerama.pc

#-----------------------------------------------------------

%package -n %{libxinerama}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxinerama}-devel = %{version}
Provides: libxinerama-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxinerama}-static-devel
Static development files for %{name}

%files -n %{libxinerama}-static-devel
%defattr(-,root,root)
%{_libdir}/libXinerama.a

#-----------------------------------------------------------

%prep
%setup -q -n libXinerama-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxinerama}
%defattr(-,root,root)
%{_libdir}/libXinerama.so.1
%{_libdir}/libXinerama.so.1.0.0
%_mandir/man3/*




%changelog
* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdv2009.0
+ Revision: 264973
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 192984
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-3mdv2008.1
+ Revision: 150857
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-2mdv2008.0
+ Revision: 16015
- package man pages
- new release


* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.1-4mdv2007.1
+ Revision: 144836
- Rebuild to allow automated pkgconfig Provides: to be added.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

